EDIT - bug #9925

Spring environment variable '$supportEmailAddress’ not expandend in Emails
01/21/2022 01:11 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal Found in Version:

Description

Variable $supportEmailAddress not expandend in Email, even if set as SystemParameter:
JAVA_OPTIONS="$JAVA_OPTIONS -DsupportEmailAddress=ProjektAdminRbgbm.org"

email body:

The password of your account (andreas) at the phycobank data base has just been changed.

If this was not initiated by you, please contact the administrator (${supportEmailAddress}) as
n as possible.

SO0

Associated revisions

Revision e07545e6 - 01/21/2022 01:53 PM - Andreas Kohlbecker

fix #9925 harmonizing env variable key and template placeholder

History

#1 - 01/21/2022 01:11 PM - Andreas Kohlbecker

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

#2 - 01/21/2022 01:53 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlible07545e6b8af70b6156c958092a1e91496cd34eb.

#3 - 01/21/2022 01:55 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- % Done changed from 50 to 100

Solved by

1. harmonization of variable keys and
2. adapting the setting in the servers (edit-int, edit-prod)

#4 - 02/15/2022 03:40 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.29
